FDCONFIG(1)

NAME
fdconfig - manipulates FramerD configuration files

SYNOPSIS
fdxs cflags fdxs modules fdxs libs fdxs install [ module .so | module .fdx | directory ]

DESCRIPTION
fdxs is a utility script used to access configuration variables from the FramerD installation and to allow the compilation and installation of programs using the local installation.

SUBCOMMANDS

cflags
    returns compiler flags to use when compiling programs to link against the FramerD library. This can be used inline, as in gcc `fdxs cflags` -o myprog myprog.c

modules
    returns the system directory where FramerD modules live, this also can be used inline as in: cp mymodule.so `fdxs modules`

libs
    returns the arguments for linking against the FramerD system libraries. This can also be used inline.

install
    installs its argument in the FramerD modules system directory. If the argument is a directory, this results in a recursive copy of the directory, excluding only CVS files.

OPTIONS
fdconfig is a script implemented by fdscript(1) so its command line can contain interspersed bindings of the form var = val as well as options such as -f scheme-file, -C config-file, or -m module which can load arbitrary scheme files, config files, or modules.

DIAGNOSTICS
The program reports file access errors.

BUGS
No known bugs.

Revision Info
$Id: fdxs.1,v 1.3 2002/07/10 00:13:11 haase Exp $

AUTHOR
Ken Haase < kh@beingmeta.com >

SEE ALSO
framerd(7) make-file-index(1)